# squeak

A nut obsessed saber-toothed client for pnut.io


## TODO

- [x] Compose window
- [x] Menu (about, refresh, logout)
- [x] Keyboard shortcuts
- [x] Avatars
- [x] Post actions (reply, bookmark, repost, quote, copy)
- [-] Load newer posts
- [x] Load older posts
- [ ] Thread view
- [ ] Loading indicator
- [ ] Render post media
- [ ] Settings page
- [ ] App icon and package metadata
- [ ] Post media / upload files
- [ ] Support for translations

## Contributing

Send patches to 
[~thrrgilag/squeak@lists.sr.ht](https://lists.sr.ht/~thrrgilag/squeak).  

A nice tutorial on how to do that can be found at 
[git-send-email.io](https://git-send-email.io/).

If you have difficulty and would like assistance don't be afraid to ask.

Send bugs to 
[~thrrgilag/squeak@todo.sr.ht](https://todo.sr.ht/~thrrgilag/squeak).

## Building

NOTE: The primary branch for this project is called **main** rather than
master. While normally this shouldn't be a problem some IDEs might assume
master and given an error when cloning this project.

### GNOME Builder

1. Install GNOME Builder using flatpak `flatpak install org.gnome.Builder`
2. Launch GNOME Builder and click **Clone Repository..."**
3. Enter the url "https://git.sr.ht/~thrrgilag/squeak"
4. Click on the "..." button and change branch to "main"
5. If prompted with _Install Missing SDK?_ click **Install**
6. Build and Run

### Flatpak 

```sh
# Add flathub repository
flatpak --user remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo

# Install the required GNOME Platform and Sdk 
flatpak --user install flathub org.gnome.Platform/x86_64/3.38 org.gnome.Sdk/x86_64/3.38

# Build the flatpak package
flatpak-builder _flatpak --repo=_repo --force-clean --ccache dev.thrrgilag.squeak.json
flatpak build-bundle _repo dev.thrrgilag.squeak.flatpak dev.thrrgilag.squeak
```

